/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for BroselowLuten Pediatric Size Categories
 */
public enum EnumCV_BroselowLutenPediatricSizeCategories {

	//BroselowLuten Pediatric Size Categories - CID 7040
	BROSELOW_LUTEN_PINK_ZONE_6_7_KG_F_051E3("F-051E3"),
	BROSELOW_LUTEN_RED_ZONE_8_9_KG_F_051DF("F-051DF"),
	BROSELOW_LUTEN_PURPLE_ZONE_10_11_KG_F_051E4("F-051E4"),
	BROSELOW_LUTEN_YELLOW_ZONE_12_14_KG_F_051E8("F-051E8"),
	BROSELOW_LUTEN_WHITE_ZONE_15_18_KG_F_051E7("F-051E7"),
	BROSELOW_LUTEN_BLUE_ZONE_19_23_KG_F_051E0("F-051E0"),
	BROSELOW_LUTEN_ORANGE_ZONE_24_29_KG_F_051E5("F-051E5"),
	BROSELOW_LUTEN_GREEN_ZONE_30_36_KG_F_051E6("F-051E6");

	private String value;

	EnumCV_BroselowLutenPediatricSizeCategories(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
